#ifndef __ConsoleServer_h__
# define __ConsoleServer_h__

# include "TCPServer.h"
# include "Command.h"
# include "EPoll.h"
# include "LogListener.h"
# include "TLSInfo.h"

namespace core {

   class TCPSocket;
   class TCPSession;

   ///
   ///
   ///

   class ConsoleServer : public TCPServer, public coreutils::LogListener {

    public:

      //
      //
      //

      ConsoleServer(EPoll &ePoll, IPAddress address, TLSInfo *tlsInfo);

      //
      //
      //

      void logSend(std::string out) override;

      TCPSession * getSocketAccept(EPoll &ePoll) override;

   };

}

#endif
