#ifndef __SubscriptionHandler_h__
#define __SubscriptionHandler_h__

#include "ZString.h"
#include <sstream>
#include <string>
#include <vector>

namespace core {
   class Subscription;
   class TCPSession;

   class SubscriptionHandler {

    public:
      virtual int process(coreutils::ZString &request, std::stringstream &out, TCPSession &session, Subscription *subscription) { return 0; }
      virtual int onSubscribe(TCPSession &session, Subscription *subscription) { return 0; }

   };
}

#endif
