#ifndef __SubscriptionHandler_h__
#define __SubscriptionHandler_h__

#include "TCPSession.h"
#include "ZString.h"
#include <sstream>
#include <string>
#include <vector>

namespace core
{

   class SubscriptionHandler
   {

   public:
      virtual int process(coreutils::ZString &request, std::stringstream &out, TCPSession &session);
      virtual int onSubscribe(TCPSession &session) { return 1; }
   };
}

#endif
