#ifndef __TLSInfo_h__
#define __TLSInfo_h__

#include "ZString.h"

namespace core {
   
   ///
   /// TLSInfo
   ///
   /// This object provides the support data to handle TLS on the server core and
   /// session environment.
   ///
   
   class TLSInfo {
      
    public:

      coreutils::ZString cACertificate;
      coreutils::ZString certificate;
      coreutils::ZString key;
            
   };
   
}

#endif
